#include <iostream>
using namespace std;
int main() {
    long long int n, k, r = 0;
    cin >> n >> k;
    long long int a[2 * n + 1];
    for(long long int i = 0 ; i <= 2 * n ; i ++) a[i] = 0;
    for(long long int i = 0 ; i < n ; i ++){
        long long int b;
        cin >> b;
        a[b + n] ++;
    }
    for(long long int i = 0 ; i <= 2 * n; i ++){
        if(a[i] >= k) r++;
    }
    cout << r << endl;
    for(long long int i = 0 ; i <= 2 * n; i ++){
        if(a[i] >= k) cout << i - n << " ";
    }
    return 0;
}